package smtp

import (
	"fmt"
	"io"

	"ur.gs/crockery/internal/store"
)

// Submission requires the sender to be logged in, so this struct tracks the
// logged-in account per-session
type sender struct {
	msa     *msa
	account store.Account
}

func (s *sender) ServeSMTP(from string, to []string, r io.Reader) error {
	return fmt.Errorf("Not yet implemented")
}
